MCP Tools Reference: docsmcp.googleapis.com

도구: read_doc

이 도구는 문서 ID가 지정된 Google 문서의 JSON 표현을 가져옵니다.

JSON 표현에는 텍스트와 문서에 관한 구조 정보가 모두 포함됩니다.

REST API의 documents.get에 해당합니다.

다음 샘플은 curl를 사용하여 read_doc MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
curl --location 'https://docsmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_doc",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

입력 스키마

ReadDocRequest

JSON 표현
{
  "documentId": string
}
필드
documentId

string

필수 항목입니다. 읽을 문서의 ID입니다. 이는 드라이브 도구의 file_id와 동일합니다.

출력 스키마

ReadDocResponse

JSON 표현
{
  "content": string
}
필드
content

string

문서의 언어화된 텍스트 콘텐츠입니다.

도구 주석

파괴적 힌트: ❌ | 동일한 힌트: ✅ | 읽기 전용 힌트: ✅ | 오픈 월드 힌트: ✅